package com.boman.jflow.api;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.constant.ServiceNameConstants;
import com.boman.domain.dto.AjaxResult;
import com.boman.domain.dto.ProcessDto;
import com.boman.domain.dto.TaskDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @author zhong.h
 * @date 2021年05月26日 15:09
 **/
@FeignClient(contextId = "remoteJflowProcessService", name = ServiceNameConstants.JFLOW_SERVICE)
public interface RemoteJflowProcessService {

    @PostMapping("/jflow/p/c/process/launch")
    AjaxResult launch(@RequestBody ProcessDto processDto);
}
