package com.boman.domain.constant;


/**
 * @author shiqian
 * @date 2021年05月26日 15:29
 **/
public class AttendanceConst {

    /** 考勤人员姓名 **/
    public static final String ATTENDANCE_USER_NAME = "attendance_table_username";
    /** 考勤人员姓名id **/
    public static final String ATTENDANCE_USER_ID = "user_id";
    /**
     * 考勤人员部门id
     */
    public static final String ATTENDANCE_DEPT_ID = "dept_id";

    /** 是否考勤异常 **/
    public static final String ATTENDANCE_ABNORMAL = "attendance_abnormal";
    /** 是否迟到 **/
    public static final String ATTENDANCE_TABLE_LATE = "attendance_table_late";
    /** 是否早退 **/
    public static final String ATTENDANCE_TABLE_LEAVE_EARLY = "attendance_table_leave";
    /**
     * 是否迟到
     */
    public static final String ATTENDANCE_TABLE_LEAVE_OR= "attendance_table_leave_or";
    /**
     * 早上迟到
     */
    public static final String LATE_TIME = "late_time";
    /**
     * 早上早退
     */
    public static final String LEAVE_EARLY_TIME = "leave_early_time";

    /**
     * 下午迟到分钟
     */
    public static final String LATE_TIME_PM = "late_time_pm";
    /**
     * 午早退分钟
     */
    public static final String LEAVE_EARLY_TIME_PM = "leave_early_time_pm";

    /** 当天时间 yyyy-MM-dd 查询的时候是 in **/
    public static final String ATTENDANCE_TABLE_TODAYTIME = "attendance_table_todaytime";
    public static final String IS_DEL = "is_del";

    /** 上班打卡时间 **/
    public static final String ATTENDANCE_TABLE_WORK = "attendance_table_work";
    /** 下午上班打卡时间 **/
    public static final String ATTENDANCE_TABLE_WORK_PM = "attendance_table_work_pm";

    /** 下班打卡时间 **/
    public static final String ATTENDANCE_TABLE_OFFWORK = "attendance_table_offwork";
    /** 下午下班打卡时间 **/
    public static final String ATTENDANCE_TABLE_OFFWORK_PM  = "attendance_table_offwork_pm";

    /** 创建时间 **/
    public static final String ATTENDANCE_TABLE_CREATE_TIME = "create_time";
    /**
     * 创建人
     */
    public static final String ATTENDANCE_TABLE_CREATE_BY = "create_by";

    /** 经度 **/
    public static final String ATTENDANCE_TABLE_LONGITUDE = "longitude";

    /** 纬度 **/
    public static final String ATTENDANCE_TABLE_LATITUDE = "latitude";

    public static final String Y = "Y";
    /**  上午上班打卡 **/
    public static final int GO_TO_WORK_TYPE = 1;
    /**  上午下班打卡 **/
    public static final int GO_OFF_WORK_TYPE = 2;
    /**  下午上班打卡 **/
    public static final int GO_TO_WORK_TYPE_PM= 3;
    /**  下午下班打卡 **/
    public static final int GO_OFF_WORK_TYPE_PM = 4;
    public static final String GO_TO_WORK = "上午上班打卡";
    public static final String GO_TO_WORK_PM = "下午上班打卡";
    public static final String GO_OFF_WORK = "上午下班打卡";
    public static final String GO_OFF_WORK_PM = "下午下班打卡";

}
