package com.boman.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.SuperBuilder;

import java.sql.Timestamp;

/**
 * @author shiqian
 * @date 2022年01月24日 11:11
 **/
@Data
@SuperBuilder
public class IpColumns {

    private Long id;
    private Long ipTimesId;
    private String columnNames;
    private String createBy;
    private String updateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp updateTime;
}
