package com.boman.system.controller;

import com.boman.domain.dto.AjaxResult;
import com.boman.system.domain.ChinaArea;
import com.boman.system.service.IChinaAreaService;
import com.boman.system.service.impl.ChinaAreaServiceImpl;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author tjf
 * @Date: 2022/03/25/9:39
 */
@RestController
@RequestMapping("/chinaArea")
public class ChinaAreaController {

    @Resource
    private IChinaAreaService chinaAreaService;
    /**
     * 获取行政区域规划下拉树列表
     */
    @PostMapping("/treeSelect")
    public AjaxResult treeSelect(@RequestBody ChinaArea chinaArea)
    {
        return chinaAreaService.selectChinaAreaList(chinaArea);
    }
}
