package com.boman.web.core.controller;

import com.boman.common.core.web.controller.BaseController;
import com.boman.domain.TableDataInfo;
import com.boman.domain.ThirdPartInfo;
import com.boman.web.core.domain.BirthRecords;
import com.boman.web.core.service.birth.BirthRecordsService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


@RestController
@RequestMapping("/birthRecords")
public class BirthRecordsController extends BaseController {

    @Resource
    BirthRecordsService service;


    /**
     * 查询新生儿人口导入信息
     *
     */
    @GetMapping("/listDie")
    public TableDataInfo listDie(BirthRecords birthRecords) {
        List<BirthRecords> list = service.listDie(birthRecords);
        return getDataTable(list);
    }



}
