package com.boman.web.core.controller;

import com.boman.common.core.web.controller.BaseController;
import com.boman.domain.TableDataInfo;
import com.boman.domain.dto.AjaxResult;
import com.boman.web.core.domain.ToQianshanPersonner;
import com.boman.web.core.domain.vo.AccountingDataVo;
import com.boman.web.core.service.toQianShan.ToQianshanPersonnerService;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;


@RestController
@RequestMapping("/core/toQianshan")
@Slf4j
public class ToQianshanPersonnerController extends BaseController {

    @Resource
    private ToQianshanPersonnerService toQianshanPersonnerService;


    /***
     * 潜山来宜人员数据
     * @return
     */
    @GetMapping("/toQianshan")
    public TableDataInfo toQianshan(ToQianshanPersonner toQianshanPersonner) {

        List<Map<String,Object>> list = toQianshanPersonnerService.toQianshan(toQianshanPersonner);
        return getDataTableLy(list,toQianshanPersonner.getStartTime(),toQianshanPersonner.getEndTime());
    }


}
