package com.boman.web.core.controller;

import com.boman.common.core.web.controller.BaseController;
import com.boman.domain.TableDataInfo;
import com.boman.domain.YmjzImportErrorLog;
import com.boman.web.core.service.ymjz.YmjzImportErrorLogService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author tjf
 * @Date: 2021/09/29/16:41
 */
@RestController
@RequestMapping("/ymjzImportError")
public class YmjzImportErrorController extends BaseController {
    @Resource
    private YmjzImportErrorLogService ymjzImportErrorLogService;


    /**
     * 查询疫苗信息导出失败列表
     */
    @GetMapping("/list")
    public TableDataInfo list(@RequestParam(required = false) YmjzImportErrorLog ymjzImportErrorLog) {
        startPage();
        List<YmjzImportErrorLog> list = ymjzImportErrorLogService.selectYmjzImportErrorLogList(ymjzImportErrorLog);
        return getDataTable(list);
    }
}
