package com.boman.web.core.mapper;

import com.boman.domain.VaccineInfoUser;
import com.boman.web.core.domain.SysRegion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author tjf
 * @Date: 2022/01/05/15:19
 */
@Mapper
public interface SysRegionMapper {
    /**
     * 插入中国行政区域划分
     * @param sysRegion
     * @return
     */
    public int insertSysRegion(SysRegion sysRegion);

    List<SysRegion> selectSysRegionByName(@Param("name")String name);

    List<SysRegion> selectSysRegionByNameLike(@Param("name")String name);
}
