package com.boman.web.core.service.save;


import com.alibaba.fastjson.JSONObject;
import com.boman.web.core.domain.RowResult;
import com.boman.web.core.domain.TableContext;

/**
 * @author shiqian
 * @description
 * @date 2021年03月22日 11:25
 **/
public interface IBaseSaveService {


    /**
     * 功能描述: 保存一行
     *
     * @param tableName  tableName
     * @param commitData commitData
     * @return com.boman.system.common.RowResult
     */
    RowResult insertRow(String tableName, JSONObject commitData);

}
