package com.boman.web.core.service.vaccineInfo;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.VaccineInfoUser;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/09/07/9:56
 */
public interface IVaccineInfoUserService {
    /**
     * 批量删除用户接种疫苗信息
     *
     * @param ids 需要删除的用户接种疫苗信息ID
     * @return 结果
     */
    public int deleteVaccineInfoUserByIds(Long[] ids);

    /**根据身份证号查询用户疫苗信息集合
     *
     * @param vaccineInfoUser
     * @return
     */
    public List<VaccineInfoUser> selectInfoUserByIdCard(VaccineInfoUser vaccineInfoUser);


    public List<JSONObject> syncData() throws Exception;
}
