package com.boman.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @description  返乡人员
 * @author shiqian
 * @date 2022年01月05日 15:50
 **/
@Data
public class Fxry implements Serializable {

    private String id;
    private String name;
    private String sex;
    private int age;
    private String idCard;

    /** 乡镇 */
    private Long villageTownsId;
    private String villageTowns;

    /** 村 */
    private Long villageId;
    private String village;
    /** 组 */
    private Long groupId;
    private String group;
    /** 详细地址 */
    private String detailAddr;
    /** 完整户籍地址 ***/
    private String wzhjdz;


    /** 身份证隐藏中间几位数字 **/
    private String idCardHide;
    /** 省外工作地址 **/
    private String addrOutsideProvince;
    /** 拟返回时间 ***/
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String intendedReturnTime;
    private String telephone;
    /** 备注 ***/
    private String remark;
    /** 是否 **/
    private String delete;
    private Date createTime;
    private Date updateTime;
    private String createBy;
    private String updateBy;

    /******************* 查询时间 ************************/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;


}
