package com.boman.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.sql.Timestamp;

/**
 * @author shiqian
 * @date 2022年01月24日 10:37
 * @description 可以访问的ip, 以及一天的访问次数
 **/
@Data
@SuperBuilder
@NoArgsConstructor
public class IpTimes {

    private Long id;
    private String ip;
    private String tableName;
    private Integer times;
    private String columnNames;
    private String createBy;
    private String updateBy;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp createTime;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp updateTime;

}
