package com.boman.common.redis;

/**
 * @author shiqian
 * @date 2021年03月26日 13:25
 **/
public class RedisKey {

    /**
     * 建表的信息存在redis中的key
     * eg: table:tableName
     */
    public static final String TABLE_INFO = "table:";

    /**
     * 维护redis中每张表的sequence
     */
    public static final String SEQ = "SEQ:";

    /**
     * 主表关联的附表存在redis中的key
     * eg: relation:tableName
     */
    public static final String RELATION = "relation:";

    /**
     * gen_table_relation中的数据存到redis中的key
     */
    public static final String RELATION_INFO = "relation:info";

    /**
     * 单据的seq
     */
    public static final String BILL_SQE = "BILL:SEQ:";

    /**
     * 异步下载时，判断是否下载完成
     */
    public static final String ASYNC_DOWNLOAD_YMJZ = "download:ymjz:";

    /** 常住人口统计 **/
    public static final String STS_CZRK_ = "sts:czrk:";
    /** 常住人口统计 **/
    public static final String CHINA_AREA = "CHINA_AREA";
    /** 外部访问接口的次数限制 key **/
    public static final String IP_TIMES = "IP:TIMES:";
    public static final String APPID_TIMES = "APPID:TIMES=";
}
