package com.boman.system.service;

import java.util.Set;

public interface ISysPermissionService
{
    /**
     * 获取角色数据权限
     * 
     * @param id 用户Id
     * @return 角色权限信息
     */
    public Set<String> getRolePermission(Long id);

    /**
     * 获取菜单数据权限
     * 
     * @param id 用户Id
     * @return 菜单权限信息
     */
    public Set<String> getMenuPermission(Long id);
}
