package com.boman.web.core.domain;

import java.io.Serializable;

/**
 * @author tjf
 * @Date: 2022/01/05/14:46
 */
public class SysRegion implements Serializable {
    private static final long serialVersionUID=1L;

    /**
     * id
     */

    private Long id;

    /**
     * 数据库字段id
     */
    private String areaId;

    /**
     * 上级ID，一级为0
     */

    private String pid;

    /**
     * 名称
     */

    private String name;

    /**
     * 层级
     */

    private Integer treeLevel;

    /**
     * 是否叶子节点  0：否   1：是
     */

    private Integer leaf;

    /**
     * 排序
     */

    private Long sort;

    public String getAreaId() {
        return areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getTreeLevel() {
        return treeLevel;
    }

    public void setTreeLevel(Integer treeLevel) {
        this.treeLevel = treeLevel;
    }

    public Integer getLeaf() {
        return leaf;
    }

    public void setLeaf(Integer leaf) {
        this.leaf = leaf;
    }

    public Long getSort() {
        return sort;
    }

    public void setSort(Long sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return "SysRegion{" +
                "id=" + id +
                ", pid=" + pid +
                ", name='" + name + '\'' +
                ", treeLevel=" + treeLevel +
                ", leaf=" + leaf +
                ", sort=" + sort +
                '}';
    }
}
