package com.boman.web.core.service.excel;

import com.alibaba.fastjson.JSONObject;
import com.boman.domain.dto.AjaxResult;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author shiqian
 * @date 2021年06月08日 09:59
 **/
public interface IImportExportExcelService {

    /**
     * 功能描述: 批量导入数据
     *
     * @param tableName tableName
     * @param dataList  需要保存的数据
     * @return void
     */
    AjaxResult importCommonData(String tableName, List<JSONObject> dataList);

    /**
     * 功能描述: 导入疫苗接种数据
     *
     * @param file
     * @return java.lang.Object
     */
    String importYmjz(MultipartFile file) throws Exception;
}
