package com.boman.web.core.service.vaccineInfo;

import com.boman.web.core.domain.AdministrativeInfo;
import com.boman.web.core.domain.TreeSelect;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/09/05/13:22
 */
public interface AdministrativeInfoService {
    /**
     * AdministrativeInfo
     * @param administrativeInfo
     * @return
     */
    List<AdministrativeInfo> selectAdministrativeInfoList(AdministrativeInfo administrativeInfo);

    /**
     * 构建前端所需要下拉树结构
     *
     * @param administrativeInfoList 乡镇列表
     * @return 下拉树结构列表
     */
    List<TreeSelect> buildAdministrativeInfoTreeSelect(List<AdministrativeInfo> administrativeInfoList);
}
