package com.boman.wechat;

import com.boman.common.security.annotation.EnableCustomConfig;
import com.boman.common.security.annotation.EnableRyFeignClients;
import com.boman.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.SpringCloudApplication;
import org.springframework.context.annotation.ComponentScan;

/**
 * 微信对接模块
 *
 * @author zhong.h
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@ComponentScan(value = "com.boman")
public class BomanWechatApplication {

    public static void main(String[] args) {
        SpringApplication.run(BomanWechatApplication.class, args);
        System.out.println("--------------------------------------------------------------------------------------------");
        System.out.println("--------------------------------------------------------------------------------------------");
        System.out.println("--------------------------------------------------------------------------------------------");
        System.out.println("--------------------------------- boman wechat 模块启动成功------------------------------------");
        System.out.println("----------------------------------boman wechat 模块启动成功-----------------------------------");
        System.out.println("--------------------------------------------------------------------------------------------");
        System.out.println("--------------------------------------------------------------------------------------------");
        System.out.println("--------------------------------------------------------------------------------------------");
    }
}
